/* @include ajax **************************************************************
**
** AJAX master include file
**
** @author Copyright (C) 1998 Peter Rice and Alan Bleasby
** @version $Revision: 1.48 $
** @modified $Date: 2012/09/03 14:15:56 $ by $Author: rice $
** @@
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
**
******************************************************************************/

#ifndef AJAX_H
#define AJAX_H

/* ========================================================================= */
/* ============================= include files ============================= */
/* ========================================================================= */

#include "ajdefine.h"
#include "ajarch.h"

#include <stdio.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "ajassert.h"
#include "ajstr.h"

#include "ajfile.h"
#include "ajfiledata.h"
#include "ajfileio.h"

#include "ajfmt.h"
#include "ajmath.h"
#include "ajmem.h"
#include "ajtime.h"
#include "ajutil.h"
#include "ajmess.h"
#include "ajexcept.h"
#include "ajreg.h"
#include "ajsys.h"

#include "ajlist.h"
#include "ajtable.h"
#include "ajarr.h"
#include "ajsort.h"

#include "ajquerydata.h"

#include "ajnam.h"
#include "ajtagval.h"

/* input and output data types */

#include "ajtextdata.h"
#include "ajfeatdata.h"
#include "ajseqdata.h"
#include "ajobodata.h"
#include "ajassemdata.h"
#include "ajrefseqdata.h"
#include "ajtaxdata.h"
#include "ajresourcedata.h"
#include "ajurldata.h"
#include "ajvardata.h"
#include "ajxmldata.h"

/* input and output data type I/O */

#include "ajquery.h"

#include "ajtextread.h"
#include "ajtextwrite.h"
#include "ajtext.h"

#include "ajfeat.h"
#include "ajfeatread.h"
#include "ajfeatwrite.h"

#include "ajseq.h"
#include "ajseqtype.h"
#include "ajseqread.h"
#include "ajseqwrite.h"
#include "ajseqabi.h"

#include "ajmatrices.h"

#include "ajobo.h"
#include "ajoboread.h"
#include "ajobowrite.h"

#include "ajassem.h"
#include "ajassemread.h"
#include "ajassemwrite.h"

#include "ajrefseq.h"
#include "ajrefseqread.h"
#include "ajrefseqwrite.h"

#include "ajtax.h"
#include "ajtaxread.h"
#include "ajtaxwrite.h"

#include "ajresource.h"
#include "ajresourceread.h"
#include "ajresourcewrite.h"

#include "ajurl.h"
#include "ajurlread.h"
#include "ajurlwrite.h"

#include "ajvar.h"
#include "ajvarread.h"
#include "ajvarwrite.h"

#include "ajxml.h"
#include "ajxmlread.h"
#include "ajxmlwrite.h"

#include "ajalign.h"

#include "ajnexus.h"
#include "ajreport.h"
#include "ajindex.h"

#include "ajtranslate.h"
#include "ajrange.h"
#include "ajcod.h"
#include "ajtree.h"

#include "ajphylo.h"
#include "ajbase.h"
#include "ajdan.h"
#include "ajpdb.h"
#include "ajdomain.h"
#include "ajpdbio.h"
#include "ajdmx.h"
#include "ajpat.h"
#include "ajcall.h"
#include "ajjava.h"
#include "ajvector.h"
#include "ajdom.h"
#include "ajsql.h"
#include "ajhttp.h"
#include "ajftp.h"
#include "ajcigar.h"

AJ_BEGIN_DECLS




/* ========================================================================= */
/* =============================== constants =============================== */
/* ========================================================================= */




/* ========================================================================= */
/* ============================== public data ============================== */
/* ========================================================================= */




/* ========================================================================= */
/* =========================== public functions ============================ */
/* ========================================================================= */




/*
** Prototype definitions
*/

/*
** End of prototype definitions
*/




AJ_END_DECLS

#endif /* !AJAX_H */
