/* @include ensembl ***********************************************************
**
** Ensembl Master Include file
**
** @author Copyright (C) 1999 Ensembl Developers
** @author Copyright (C) 2006 Michael K. Schuster
** @version $Revision: 1.13 $
** @modified 2009 by Alan Bleasby for incorporation into EMBOSS core
** @modified $Date: 2012/08/05 10:44:36 $ by $Author: mks $
** @@
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
** MA  02110-1301,  USA.
**
******************************************************************************/

#ifndef ENSEMBL_H
#define ENSEMBL_H

/* ========================================================================= */
/* ============================= include files ============================= */
/* ========================================================================= */

#include "ajax.h"

#include "ensalign.h"
#include "ensanalysis.h"
#include "ensassembly.h"
#include "ensassemblyexception.h"
#include "ensassemblymapper.h"
#include "ensattribute.h"
#include "ensbaseadaptor.h"
#include "enscache.h"
#include "enscoordsystem.h"
#include "ensdata.h"
#include "ensdatabaseadaptor.h"
#include "ensdatabaseconnection.h"
#include "ensdatabaseentry.h"
#include "ensdensity.h"
#include "ensditag.h"
#include "ensexon.h"
#include "ensexternaldatabase.h"
#include "ensfeature.h"
#include "ensgene.h"
#include "ensgvallele.h"
#include "ensgvattribute.h"
#include "ensgvbaseadaptor.h"
#include "ensgvdata.h"
#include "ensgvdatabaseadaptor.h"
#include "ensgvgenotype.h"
#include "ensgvindividual.h"
#include "ensgvpopulation.h"
#include "ensgvsample.h"
#include "ensgvsource.h"
#include "ensgvsynonym.h"
#include "ensgvvariation.h"
#include "ensintron.h"
#include "enskaryotype.h"
#include "ensmapper.h"
#include "ensmarker.h"
#include "ensmetacoordinate.h"
#include "ensmetainformation.h"
#include "ensmiscellaneous.h"
#include "ensontology.h"
#include "ensoperon.h"
#include "ensprediction.h"
#include "ensprojectionsegment.h"
#include "ensprotein.h"
#include "ensqc.h"
#include "ensqcalignment.h"
#include "ensqcdasfeature.h"
#include "ensqcdatabase.h"
#include "ensqcsequence.h"
#include "ensqcsubmission.h"
#include "ensqcvariation.h"
#include "ensregistry.h"
#include "ensrepeat.h"
#include "ensseqregion.h"
#include "enssequence.h"
#include "enssequenceedit.h"
#include "enssimple.h"
#include "ensslice.h"
#include "enssoftware.h"
#include "ensstorable.h"
#include "enstable.h"
#include "enstranscript.h"
#include "enstranslation.h"
#include "ensutility.h"
#include "ensvariation.h"

AJ_BEGIN_DECLS




/* ========================================================================= */
/* =============================== constants =============================== */
/* ========================================================================= */




/* ========================================================================= */
/* ============================== public data ============================== */
/* ========================================================================= */




/* ========================================================================= */
/* =========================== public functions ============================ */
/* ========================================================================= */

/*
** Prototype definitions
*/

/*
** End of prototype definitions
*/




AJ_END_DECLS

#endif /* !ENSEMBL_H */
